
/***********************************************
 * Class level variables
 **********************************************/
var _argumentsReceived = arguments[0] || {};
var interMediateStop = 3;
var _menuOptionWidth = 0;
var diamention = 0;
var viewArray = [];
var lineWidth = 0;
var lineWidthLoad = 0;
var miles = 0;
var stopArray = [];

var response_test = {
	"result" : {
		"data" : {
			"orderNumber" : "F427621",
			"originCity" : "SEYMOUR",
			"originStateCode" : "IN",
			"originDate" : "2016-03-23 00:01:00",
			"destinationCity" : "LEMONT",
			"destinationStateCode" : "IL",
			"destinationDate" : "2016-03-25 08:00:00",
			"intermediateStops" : 3,
			"emptyMiles" : 0,
			"loadedMiles" : 248,
			"weight" : 0,
			"equipmentLength" : 53,
			"equipmentSubclass" : "DRY VAN",
			"equipmentCharacteristics" : [],
			"isHazmat" : false,
			"certifications" : [],
			"services" : [],
			"references" : [],
			"stops" : [{
				"stopNumber" : 1,
				"stopType" : "Pickup",
				"siteName" : "WALMART 6017",
				"addressLines" : ["2108 E TIPTON ST", "DC6017"],
				"city" : "SEYMOUR",
				"stateCode" : "IN",
				"zip" : "47274",
				"latitude" : 38.96,
				"longitude" : -85.89,
				"appointmentBegin" : "2016-03-23 00:01:00",
				"appointmentEnd" : "2016-03-23 23:59:00",
				"arrivalStatus" : "Arrived",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 255,
				"hoursToNextStop" : 5,
				"minutesToNextStop" : 16,
				"references" : [{
					"name" : "BOL",
					"value" : 12222
				}],
				"hazmat" : false
			}, {
				"stopNumber" : 2,
				"stopType" : "Delivery",
				"siteName" : "BOLINGBROOK DROP YARD",
				"addressLines" : ["12300 NEW AVENUE"],
				"city" : "LEMONT",
				"stateCode" : "IL",
				"zip" : "60439",
				"latitude" : 41.67,
				"longitude" : -88,
				"appointmentBegin" : "2016-03-25 08:00:00",
				"appointmentEnd" : "2016-03-25 20:00:00",
				"arrivalStatus" : "Arrived",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 0,
				"hoursToNextStop" : 0,
				"minutesToNextStop" : 0,
				"references" : [],
				"hazmat" : false
			}, {
				"stopNumber" : 3,
				"stopType" : "Delivery",
				"siteName" : "BOLINGBROOK DROP YARD",
				"addressLines" : ["12300 NEW AVENUE"],
				"city" : "LEMONT",
				"stateCode" : "IL",
				"zip" : "60439",
				"latitude" : 41.67,
				"longitude" : -88,
				"appointmentBegin" : "2016-03-25 08:00:00",
				"appointmentEnd" : "2016-03-25 20:00:00",
				"arrivalStatus" : "NotArrived",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 0,
				"hoursToNextStop" : 0,
				"minutesToNextStop" : 0,
				"references" : [],
				"hazmat" : false
			}, {
				"stopNumber" : 4,
				"stopType" : "Delivery",
				"siteName" : "BOLINGBROOK DROP YARD",
				"addressLines" : ["12300 NEW AVENUE"],
				"city" : "LEMONT",
				"stateCode" : "IL",
				"zip" : "60439",
				"latitude" : 41.67,
				"longitude" : -88,
				"appointmentBegin" : "2016-03-25 08:00:00",
				"appointmentEnd" : "2016-03-25 20:00:00",
				"arrivalStatus" : "NotArrived",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 0,
				"hoursToNextStop" : 0,
				"minutesToNextStop" : 0,
				"references" : [],
				"hazmat" : false
			}, {
				"stopNumber" : 5,
				"stopType" : "Delivery",
				"siteName" : "BOLINGBROOK DROP YARD",
				"addressLines" : ["12300 NEW AVENUE"],
				"city" : "LEMONT",
				"stateCode" : "IL",
				"zip" : "60439",
				"latitude" : 41.67,
				"longitude" : -88,
				"appointmentBegin" : "2016-03-25 08:00:00",
				"appointmentEnd" : "2016-03-25 20:00:00",
				"arrivalStatus" : "NotArrived",
				"arrivalStatusHours" : 0,
				"arrivalStatusMinutes" : 0,
				"isHazmat" : false,
				"requirements" : [],
				"milesToNextStop" : 0,
				"hoursToNextStop" : 0,
				"minutesToNextStop" : 0,
				"references" : [],
				"hazmat" : false
			}],
			"alphaCode" : null,
			"orderMode" : "TRUCK",
			"transfloReferenceId" : "JBHA",
			"hazmat" : false
		},
		"success" : true
	}
};

/***********************************************
 * Events
 **********************************************/
function onScrollCurrentPosition(e) {
	if (e.currentPageAsFloat != undefined) {
		$.iDottedCurrentMarker.left = (e.currentPageAsFloat * _menuOptionWidth);
	}
}

function drawInterMidateStop() {
	$.iDottedStartMarker.removeEventListener("postlayout", drawInterMidateStop);
	var leftPos =  8 - (($.iDottedStartMarker.getRect().width + 20) / 3);
	var rightPos =  7 - (($.iDottedStartMarker.getRect().width + 20) / 3);
	var lineSize = $.vStopContainer.getRect().width - ($.iDottedStartMarker.getRect().width + 15);
	$.vStartMarkerContainer.width = $.iDottedStartMarker.getRect().width + 20;
	$.vStartMarkerContainer.height = $.iDottedStartMarker.getRect().height + 20;
	$.vStartMarkerContainer.left = leftPos;
	$.vStartMarkerContainer.pageId = 0;
	stopArray.push($.iDottedStartMarker);
	var markerGap = (lineSize / (interMediateStop + 1));
	for (var i = 0; i < interMediateStop; i++) {
		var stopContainer = Ti.UI.createView({
			height: $.iDottedStartMarker.getRect().height + 20,
			width : $.iDottedStartMarker.getRect().width + 20,
			pageId : i+1,
			/*10 = 6
			  1 = 6/10
			  20 = 6*20/10 = 12
			  8-12 = -4*/
			left : markerGap * (i + 1) - 2 
			
		});
		var intermediateStopMarker = Ti.UI.createImageView({
			image : "/icon_stop.png",
			height : Titanium.UI.SIZE,
			width : Titanium.UI.SIZE,
			
		});
		stopContainer.addEventListener("click",onClickStop);
		stopContainer.add(intermediateStopMarker);
		$.vStopContainer.add(stopContainer);
		stopArray.push(intermediateStopMarker);
	}
	$.vEndMarkerContainer.pageId = interMediateStop + 1;
	
	$.vEndMarkerContainer.width = $.iDottedStartMarker.getRect().width + 20;
	$.vEndMarkerContainer.height = $.iDottedStartMarker.getRect().height + 20;
	$.vEndMarkerContainer.right = rightPos;
	
	stopArray.push($.iDottedEndMarker);
	_menuOptionWidth = markerGap;
	

}
function onClickStop(e){
	if(e.source.pageId != $.svCurrentLoad.currentPage){
		$.svCurrentLoad.scrollToView(e.source.pageId);
	}
	
}
function onClickStopDetails() {
	
}

function onClickCheckIn() {
	

}

/***********************************************
 * Class level functions
 **********************************************/

function closeScreen() {

}

function onClickUploadDocs() {
	
}

function init() {
	//try {
	for (var i = 0; i < (interMediateStop + 2); i++) {
		var currentLoadDetailsController = Alloy.createController("currentLoadDetails", {
			continueCallBack : onClickContinue,
			currentStopNumber : i,
			response : response_test,
			
		});
		viewArray.push(currentLoadDetailsController);
		$.svCurrentLoad.addView(currentLoadDetailsController.getView());

	}

	// } catch(e) {
	// Ti.API.info("loadDetails.js not anle to parse the data");
	// }

}

function onClickContinue() {
	//alert($.svCurrentLoad.getCurrentPage());
	
	
}
function onClickOk(){
	
}
function moveToCard(cardNo) {
	$.svCurrentLoad.scrollToView(cardNo);

}

/***********************************************
 * Initialization
 **********************************************/
init();
exports.goToPage = function(id){
	$.svCurrentLoad.scrollToView(id);
};
